What applications use what version of .NET Framework

Toshiba / P30
January 14, 2012 at 08:10:27
Specs: Windows XP SP3, 3.2/512MB
I have the following version of .net Framework installed;

2.0 SP2
3.0 SP2
3.5 SP1
4 client profile

I was hoping to get rid some of the duplicates. I uninstalled 1.1 but when I tried to get rid of 2.0, it failed because it said it will affect other applications. Is there was a way to tell what apps are using what version of framework?

See More: What applications use what version of .NET Framework

Report •

January 14, 2012 at 08:22:32
They are not duplicates. Different applications require different versions, that's why older versions are not overwritten with newer versions.

Impossible to say which versions you need to keep as we've no idea what applications you have that require .net Framework, and if we did there's no way of knowing which version each application needs without checking that applications website.

Safest thing to do is keep all of them.

Report •

January 14, 2012 at 08:51:29
I know you don't know what applications I have. All I was asking if there was a way to tell what app was using what version. If there was, I could decide myself whether I really need to keep that app or not.

Report •

January 14, 2012 at 09:13:59
You can examine each application, using the technique outined here: stackoverflow.com/questions/325918/how-to-find-out-which-version-of-the-net-framework-an-executable-needs-to-run , but TBH the frameworks don't use a huge amount of disk space so it's easier just to leave them installed.

Report •

Related Solutions

January 15, 2012 at 18:06:37
Thanks very much for your help.

Report •

Ask Question